org.codehaus.groovy.runtime.metaclass

## Class MissingMethodExceptionNoStack

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.MissingMethodException
          - - org.codehaus.groovy.runtime.metaclass.MissingMethodExceptionNoStack

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MissingMethodExecutionFailed

    public class MissingMethodExceptionNoStack
    extends MissingMethodException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingMethodExceptionNoStack(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments)`
`MissingMethodExceptionNoStack(java.lang.String method, java.lang.Class type, java.lang.Object[] arguments, boolean isStatic)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Throwable` `fillInStackTrace()`

### Methods inherited from class groovy.lang.MissingMethodException

`getArguments, getMessage, getMethod, getType, isStatic`

### Methods inherited from class groovy.lang.GroovyRuntimeException

`getLocationText, getMessageWithoutLocationText, getModule, getNode, setModule`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(java.lang.String method,
                                         java.lang.Class type,
                                         java.lang.Object[] arguments)

#### MissingMethodExceptionNoStack

    public MissingMethodExceptionNoStack(java.lang.String method,
                                         java.lang.Class type,
                                         java.lang.Object[] arguments,
                                         boolean isStatic)

### Method Detail

#### fillInStackTrace

    public java.lang.Throwable fillInStackTrace()

Overrides:
  `fillInStackTrace` in class `java.lang.Throwable`